#ifndef DROEPPEZ_U_TYPES
#define DROEPPEZ_U_TYPES

/*------------------------------------------------------------------
Definiert Integertypen fuer Situationen,
in denen /linux/types.h nicht zur Verfuegung steht
oder nicht eingebunden wird

(c) 2002 Ulrich Kritzner
Die Verbreitung dieser Datei unterliegt der GNU General Public License.

Copyright 2002 by Ulrich Kritzner.
Redistribution of this file is permitted under the GNU General Public License.
------------------------------------------------------------------*/

#ifdef _LINUX_TYPES_H
#undef DROEPPEZ_INTS
#define DROEPPEZ_INTS 0
#endif

#ifndef DROEPPEZ_INTS
#if defined __MSDOS__
#define DROEPPEZ_INTS 1
#else 
#define DROEPPEZ_INTS 2
#endif
#endif

#if DROEPPEZ_INTS==1
#define __u8 unsigned char
#define __u16 unsigned int
#define __u32 unsigned long
#define __s8 char
#define __s16 int
#define __s32 long
#elif DROEPPEZ_INTS==2
#define __u8 unsigned char
#define __u16 unsigned short
#define __u32 unsigned int
#define __s8 char
#define __s16 short
#define __s32 int
#endif

#endif
